services:
    mopa.form.help_extension:
           class: Mopa\Bundle\BootstrapBundle\Form\Extension\HelpFormTypeExtension
           tags:
                - { name: form.type_extension, alias: form }

    mopa.form.legend_extension:
           class: Mopa\Bundle\BootstrapBundle\Form\Extension\LegendFormTypeExtension
           arguments:
                - { render_fieldset: %mopa_bootstrap.form.render_fieldset%, show_legend: %mopa_bootstrap.form.show_legend%, show_child_legend: %mopa_bootstrap.form.show_child_legend%, render_required_asterisk: %mopa_bootstrap.form.render_required_asterisk% }
           tags:
                - { name: form.type_extension, alias: form }

    mopa.form.error_type_extension:
           class: Mopa\Bundle\BootstrapBundle\Form\Extension\ErrorTypeFormTypeExtension
           arguments:
                - { error_type: %mopa_bootstrap.form.error_type% }
           tags:
                - { name: form.type_extension, alias: form }

    mopa.form.widget_extension:
           class: Mopa\Bundle\BootstrapBundle\Form\Extension\WidgetFormTypeExtension
           tags:
                - { name: form.type_extension, alias: form }

    mopa.form.widget_collection_extension:
           class: Mopa\Bundle\BootstrapBundle\Form\Extension\WidgetCollectionFormTypeExtension
           arguments:
                - { widget_add_btn: %mopa_bootstrap.form.collection.widget_add_btn%, widget_remove_btn: %mopa_bootstrap.form.collection.widget_remove_btn% }
           tags:
                - { name: form.type_extension, alias: form }

